6.0.0-git
2021-03-07

[#6641] parsevCalendar - correct handling no trailing newline
Summary parsevCalendar - correct handling no trailing newline
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester horde (at) ssn (dot) at
Created 2008-04-23 (4701 days ago)
Due
Updated 2008-05-24 (4670 days ago)
Assigned 2008-04-23 (4701 days ago)
Resolved 2008-05-24 (4670 days ago)
Milestone
Patch No

History
2008-05-24 16:35:38 Jan Schneider Comment #5
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Committed, see bug #6706.
2008-05-17 20:58:30 Jan Schneider State ⇒ No Feedback
 
2008-05-11 21:50:59 Jan Schneider Comment #4 Reply to this comment
Ping again?
2008-05-01 21:09:10 Chuck Hagenbuch Comment #3 Reply to this comment
Ping?
2008-04-23 21:56:14 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
Can you please upload a test case that we can add to the package for 
this bug? And how about just making that whole last group in the regex 
optional (adding a ?) instead of removing it, so that trailing 
newlines are captured if they're there? Or does it not matter?
2008-04-23 12:45:03 horde (at) ssn (dot) at Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ parsevCalendar - correct handling no trailing newline
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
New Attachment: parsevCal_EOL.diff Download
Reply to this comment
Turba tries to parse VCARD-Data with iCalendar. When the VCARD-String 
has no trailing newline the _components-array is not filled correctly.



Attached a patch that works for me (using Nokia N90 and synching contacts)



regards

Lukas

Saved Queries